AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

Storage instance options

### Hierarchy

- StorageOptions

## Index

### Properties

- bucket
- credentials
- level
- region

## Properties

### Optional bucket

bucket: string

- Defined in storage/src/types/Storage.ts:17

### Optional credentials

credentials: object

- Defined in storage/src/types/Storage.ts:20

### Optional level

level: string

- Defined in storage/src/types/Storage.ts:19

### Optional region

region: string

- Defined in storage/src/types/Storage.ts:18